<!DOCTYPE html>
<head>
  <!-- <script type="text/javascript" src="js\jquery.min.js"></script>-->
  <script type="text/javascript" src="js\jquery-3.1.1.min.js"></script>
  <script type="text/javascript" src="js\easysat_cancela.js"></script>

  <script type="text/javascript">
    function satIniciaContagem(){
      // $("#dialog").dialog("close");

      $("#div_progress").show();

      // captura os dados da venda
      var s = $("#txdados").val();

      alert(s);

      satCancelarUltimaVenda(s);

      // Barra de prograsso para comunicação com o Sat
      var i = 40;
      var counterBack = setInterval(function () {
        i--;
        if (i > 0) {
          $('.progress-bar').css('width', i + '%');
          $("#theBar").html(i + '% do ');
        } else {
          clearInterval(counterBack);
        }
      }, 1000);
    }

  </script>


</head>
<html>
<!--
<body>
  <script type="text/javascript">buttonConsultarSAT();</script>

  <h3>Comandos:</h3>

  <button onclick="buttonConsultarSAT()">Consultar SAT</button>
  <br/><br/>

  <button onclick="buttonConsultarStatusOperacional()">Consultar Status Operacional</button>
  <br/><br/>

  <button onclick="buttonExtrairLogs()">Extrair Logs</button>
  <br/><br/>

  <button onclick="buttonEnviarDadosVenda()">Enviar Venda TESTE EDIVAL</button>
  <br/><br/>

  <button onclick="buttonCancelarUltimaVenda()">CancelarUltimaVenda EDIVAL</button>
  <br/><br/>

  <button onclick="buttonRespostaSat()">Resposta SAT</button>
  <br/><br/>


  <h3>Resposta:</h3>
  <a id='resposta' style="height:800px; width:600px; word-break: break-all;"></a>

  <br>
  <br>
  <br>

</body>
-->

<?php
require_once "header.php";
require_once "inc/nfc_xml_cancela.php";
require_once "inc/messages.php";

// $com = new COM('chrome-extension://hfoajbbmoncffkndejkfeijcebpoeioe/');
// $com = new COM('Chrome Native Messaging API Example Host');

$ok   = true; // Recebe true como padrão
$chave= "";
$tpAmb= "2"; // Recebe como padrão homologacao, se não setado a qr a variavel de ambiente php
$set_msg = array();   // varáveis de retorno de status;


$id = $_GET['id'];
$id_doc = base64_decode($id);

// $NfeXml = new NfeXml();
$redirect = "erpc_faturar_pedidos_list.php";
$NfcXml   = New NfcXmlCancela();

$r_xml     = $NfcXml->getDados($id_doc);
$p_ds_chave= $NfcXml->getChaveCancela();

/*
echo "<pre>";
print_r($r_xml);
echo "</pre>";
exit;*/

$myfile = fopen("xml/xml_cancela.xml", "w+") or die("Unable to open file!");
//header( 'Content-type: text/xml' ); preg_replace("/(\t+)/", "", $r_xml)
fwrite($myfile, $r_xml);
fclose($myfile);


// Se retornou a chave vazia, é porque o cupom não pode ser cancelado
if($p_ds_chave==""){
  addError("Não foi possível cancelar. Chave do Cupom não encontrado");
  Header("location:$redirect");
}

// transforma o xml em objeto JSON para enviar ao EASYSAT
$dados_cancela= setFormatJS($r_xml);

echo $dados_cancela;


// função para enviar os dados da venda
function setFormatJS($r_xml){

    global $id_doc;
    global $p_ds_chave;
    global $NfcXml;

    $ret_xml = false;
    $p_nr_sessao= str_pad(rand(05,99999), 05, "0", STR_PAD_LEFT); // número da sessão aleatório
    $p_cd_ativa = "99999999";
    $p_ds_numnf     = $NfcXml->getCupomOriginal();
    $p_vl_total_cfe = $NfcXml->getTotalCancela();

    // formata o xml para envio no formato JSON
    $p_ds_xml = str_replace("<?xml version='1.0' encoding='UTF-8'?>", '', $r_xml);
    $p_ds_xml = preg_replace("/(\t+)/", "", $p_ds_xml);
    // $p_ds_xml = preg_replace("/(\n+)", "", $p_ds_xml);

    // $r_sat = "<script>satEnviarDadosVenda(" . chr(34) . $p_nr_sessao . chr(34) . ", " . chr(34) . $p_cd_ativa . chr(34) . "," . chr(34) . $p_ds_xml . chr(34) . ");</script>";

    // $r_sat = "<script>javascript:returnsatEnviarDadosVenda();</script>";
    // $r_sat = "<script>satEnviarDadosVenda();</script>";


    // cria um array, para função enviar via JSON para EasySat
    $dados_cancela = array(
      'id_documento'    => $id_doc,
      'numeroSessao'    => $p_nr_sessao ,
      'codigoDeAtivacao'=> $p_cd_ativa  ,
      'chave'             => $p_ds_chave,
      'nr_cupom_original' => $p_ds_numnf,
      'vl_total_cfe'      => $p_vl_total_cfe,
      'dadosCancelamento' => $p_ds_xml,
      'qrcode' => ''
    );

    // exibe o conteudo do XML
    // echo '<pre>', htmlentities($p_ds_xml), '</pre>';

    /* escreve o arquivo no diretorio temporario
    $myfile = fopen("xml/{$p_nr_sessao}_original.xml", "w+") or die("Unable to open file!");
    //header( 'Content-type: text/xml' ); preg_replace("/(\t+)/", "", $r_xml)
    fwrite($myfile, $r_xml);
    fclose($myfile);*/

    return json_encode($dados_cancela);
}

$p_mensagem = "Faturamento o Cancelamento do Documento Sat $id_doc... Por Favor aguarde.!";

    /*
    $ex_venda =  "<script>satEnviarDadosVenda(" . json_encode($dados_cancela) . ");</script>";
    echo $ex_venda;*/
  ?>

 <div class="block">
  <div class="progress" id="div_progress" hidden>
      <?=$p_mensagem;?>
      <div id="theBar" class="progress-bar progress-bar-info progress-bar-striped active" role="progressbar" aria-valuenow="1" aria-valuemin="0" aria-valuemax="100" style="width: 00%">
          <!-- <span class="sr-only"></span>-->

      </div>
  </div>

  <input hidden=true type='text' id='txdados' name='txdados' value='<?php echo $dados_cancela;?>'/>

    <div id="dialog" title="Confirmação">
      <span>Tem certeza para cancelamento do Cupom N.?
          <?php
          echo $id_doc;?>?
        </span>
      <br>
      <br>
        <button id="btn-sim"   type="button" class="btn btn-primary" onclick="javascript:satIniciaContagem();" >Sim</button>
        <button id="btn-close" type="button" class="btn btn-default btn-cleanx" onclick="javascript:window.close();">Não</button>
    </div>

    <!--
    <div id="div_cupom" title="cupom">
      <span><?var_dump(htmlspecialchars ($result));?></span>
    </div>
    -->

  </div>




<? include_once "footer.php";?>
<script>
  $(document).ready(function() {

    $("#dialog").dialog({
      autoOpen: false,
      modal: true
    });

    $("#dialog").dialog("open");

  }(jQuery));
</script>

<script type="text/javascript" src="js\jquery-3.1.1.min.js"></script>




</body>
</html>
